package com.sunyard.chsm.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author liulu
 * @since 2024/12/27
 */
@Data
public class ExportCertReq {

    /**
     * 证书的主题
     */
    @NotBlank(message = "证书主题不能为空")
    private String subject;

    /**
     * 证书类型: encrypt_decrypt 加密证书, sign_verify 签名证书
     */
    @NotBlank(message = "证书类型不能为空")
    private String certType;

}
