package com.sunyard.chsm.param;

import com.sunyard.chsm.enums.HashAlg;
import lombok.Data;

@Data
public class HashReq {

    // 明文,使用Base64编码
    private String plainData;

    // 句柄, 多包计算Init后返回
    private String handle;
    // Hash算法, 默认SM3
    private HashAlg alg = HashAlg.SM3;

    // 公钥,使用Base64编码
    private String pubKey;
    // userId,使用Base64编码
    private String userId;


}
